2016-08-24 13:57 CEST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0003230MPDMetadatapublic2011-07-21 15:01
ReporterRasi 
Assigned Tocirrus 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
Product Version 
Target VersionFixed in Versiongit 
Summary0003230: mpd does not report tracknumbers and time when loaded from external cuesheet
Descriptionloading an external cuesheet results in the album to be queued into the playlist, but mpd reports tracknumber "1" and the total time of the album for all tracks. Not sure if its libcue or mpd misbehaving here.
TagsNo tags attached.
Attached Files
  • patch file icon create_track_num_cuefiles.patch (779 bytes) 2011-05-01 11:56 -
    diff --git a/src/cue/cue_tag.c b/src/cue/cue_tag.c
    index ba11725..09c254a 100644
    --- a/src/cue/cue_tag.c
    +++ b/src/cue/cue_tag.c
    @@ -160,6 +160,8 @@ cue_tag(struct Cd *cd, unsigned tnum)
     {
     	struct tag *cd_tag, *track_tag, *tag;
     	struct Track *track;
    +    /* Max length is 99/99 so 5 chars + \0 align to word: 8*/
    +    char convert_uinttostring[8];
     
     	assert(cd != NULL);
     
    @@ -178,6 +180,12 @@ cue_tag(struct Cd *cd, unsigned tnum)
     	if (tag == NULL)
     		return NULL;
     
    +    /* Create a tag number */
    +    snprintf(convert_uinttostring, 8, "%02d/%02d",
    +            tnum, cd_get_ntrack(cd));
    +    /* Add it */
    +    tag_add_item(tag, TAG_TRACK, convert_uinttostring);
    +
     	tag->time = track_get_length(track)
     	    - track_get_index(track, 1)
     	    + track_get_zero_pre(track);
    
    patch file icon create_track_num_cuefiles.patch (779 bytes) 2011-05-01 11:56 +

-Relationships
+Relationships

-Notes

~0006569

Rasi (reporter)

Last edited: 2011-05-01 12:26

View 2 revisions

The total_time issue is actually a ncmpcpp bug.

~0006570

qball (administrator)

Attached a patch that adds the tracknumber+total_num_tracks to the Tag. Fixing the tracknumber issue.

~0006579

cirrus (administrator)

Patch merged.
+Notes

-Issue History
Date Modified Username Field Change
2011-05-01 09:00 Rasi New Issue
2011-05-01 09:00 Rasi Status new => assigned
2011-05-01 09:00 Rasi Assigned To => cirrus
2011-05-01 11:32 Rasi Note Added: 0006568
2011-05-01 11:56 qball File Added: create_track_num_cuefiles.patch
2011-05-01 11:56 Rasi Note Added: 0006569
2011-05-01 11:56 qball Note Added: 0006570
2011-05-01 11:56 Rasi Note Added: 0006571
2011-05-01 12:26 Rasi Note Deleted: 0006571
2011-05-01 12:26 Rasi Note Deleted: 0006568
2011-05-01 12:26 Rasi Note Edited: 0006569 View Revisions
2011-05-09 21:30 cirrus Note Added: 0006579
2011-05-09 21:30 cirrus Status assigned => resolved
2011-05-09 21:30 cirrus Fixed in Version => git
2011-05-09 21:30 cirrus Resolution open => fixed
2011-07-21 15:01 Avuton Olrich Status resolved => closed
+Issue History